// Author: Juan Carlos De Abreu (jcabreur@gmail.com)
//
// This file define a class inherent from Imodel that allow load and save
// geometries at '.obj' file format.

#ifndef MODEL_MODEL_OBJ_H__
#define MODEL_MODEL_OBJ_H__

#include "../global.h"
#include "Model.h"

BEGIN_TEG_NAMESPACE();

class ModelObj : public IModel {
 public:
  // ModelObj constructor and destructor.
  ModelObj();
  ModelObj(const std::tstring& path_);
  ~ModelObj();

  // Method to laod a '.obj' geometry.
  void load(const _TCHAR* lpszPathName);
  AUTO_SIZE();

 private:
  DISALLOW_COPY_AND_ASSIGN(ModelObj);
};

END_TEG_NAMESPACE();

#endif  // MODEL_MODEL_OBJ_H__
